﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.OleDb;

namespace uyeliksistemi
{
    public partial class uyeduzenle : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //'*** www.aspnetornekleri.com ***//
            if (Convert.ToString(Session["uyeadi"]) == "")
            {
                Response.Redirect("uyegiris.aspx");
                Response.End();
            }

            this.pnlbilgiler.Visible = true;
            this.pnlsonuc.Visible = false;

            if (!Page.IsPostBack)
            {
                bilgilerigoster();
            }
        }
        protected void bilgilerigoster()
        {
            DataTable dt = null;
            DataSet ds = new DataSet();
            //'*** www.aspnetornekleri.com ***//
            OleDbConnection db_baglanti;
            OleDbCommand db_komut;
            OleDbDataAdapter db_adapter = null;
            OleDbDataReader db_reader = null;
            db_baglanti = new OleDbConnection("Provider=Microsoft.ACE.OLEDB.12.0; DATA Source=" + Server.MapPath("App_Data/uye.accdb"));
            db_baglanti.Open();
            string sorgu = "SELECT * FROM bilgiler WHERE uyeadi=@uyeadi";
            db_komut = new OleDbCommand(sorgu, db_baglanti);
            db_komut.Parameters.Add("@uyeadi", OleDbType.VarChar).Value = Session["uyeadi"];
            db_reader = db_komut.ExecuteReader();
            if (db_reader.HasRows)
            {
                db_reader.Read();
                this.lbluyeadi.Text = db_reader["uyeadi"].ToString();
                this.txtad.Text = db_reader["ad"].ToString();
                this.txtEmail.Text = db_reader["mail"].ToString();
                this.txtbilgi.Text = db_reader["bilgi"].ToString();
            }
            db_reader.Close();
            db_baglanti.Close();
            db_baglanti = null;
        }

        protected void btnguncelle_Click(object sender, EventArgs e)
        {
            OleDbConnection db_baglanti = null;
            OleDbCommand db_komut = null;
            OleDbDataReader dtReader = null;
            string deneme = Session["uyeadi"].ToString();
            db_baglanti = new OleDbConnection("Provider=Microsoft.ACE.OLEDB.12.0; DATA Source=" + Server.MapPath("App_Data/uye.accdb"));
            db_baglanti.Open();
            string sorgu = "SELECT * FROM bilgiler WHERE mail=@mail and uyeadi<>@uyeadi";
            db_komut = new OleDbCommand(sorgu, db_baglanti);
            db_komut.Parameters.Add("@mail", OleDbType.VarChar).Value = this.txtEmail.Text;
            db_komut.Parameters.Add("@uyeadi", OleDbType.VarChar).Value = Session["uyeadi"].ToString();
            dtReader = db_komut.ExecuteReader();
            if (dtReader.HasRows)
            {
                this.lbldurum.ForeColor = System.Drawing.Color.Red;
                this.lbldurum.Text = "Mail Adresi zaten var!!!";
            }
            //'*** www.aspnetornekleri.com ***//
            string sorgu1 = "Update bilgiler set sifre=@sifre,ad=@ad,mail=@mail,bilgi=@bilgi where uyeadi=@uyeadi";
            db_komut = new OleDbCommand(sorgu1, db_baglanti);
            db_komut.Parameters.Add("@sifre", OleDbType.VarChar).Value = this.txtsifre.Text;
            db_komut.Parameters.Add("@ad", OleDbType.VarChar).Value = this.txtad.Text;
            db_komut.Parameters.Add("@mail", OleDbType.VarChar).Value = this.txtEmail.Text;
            db_komut.Parameters.Add("@bilgi", OleDbType.VarChar).Value = this.txtbilgi.Text;
            db_komut.Parameters.Add("@uyeadi", OleDbType.VarChar).Value = Session["uyeadi"];
            db_komut.ExecuteNonQuery();
            db_baglanti.Close();
            db_baglanti = null;
            this.pnlbilgiler.Visible = false;
            this.pnlsonuc.Visible = true;
        }

       
    }
}