﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.OleDb;

namespace uyeliksistemi
{
    public partial class uyekayit : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.pnlRegister.Visible = true;
            this.pnlFinish.Visible = false;
        }
        
        protected void btnkayit_Click(object sender, EventArgs e)
        {
            OleDbConnection db_baglanti;
            OleDbCommand db_komut;
            db_baglanti = new OleDbConnection("Provider=Microsoft.ACE.OLEDB.12.0; DATA Source=" + Server.MapPath("App_Data/uye.accdb"));
            db_baglanti.Open();
            //*** Üye ismi kontrol ediliyor... ***'
            string sorgu = "SELECT COUNT(*) FROM bilgiler WHERE uyeadi=@uyeadi";
            db_komut = new OleDbCommand(sorgu, db_baglanti);
            db_komut.Parameters.Add("@uyeadi", OleDbType.VarChar).Value = txtuyeadi.Text;
            int kayitsayisi = (int)db_komut.ExecuteScalar();
            if (kayitsayisi >= 1)
            {
                this.lbldurum.ForeColor = System.Drawing.Color.Red;
                this.lbldurum.Text = "Üye Adı Kayıtlı Başka Bir İsim Bulun...";
                return;
            }

            //*** Mail adresi kontrol ediliyor... ***'
            sorgu = "SELECT COUNT(*) FROM bilgiler WHERE mail=@mail";
            db_komut = new OleDbCommand(sorgu, db_baglanti);
            db_komut.Parameters.Add("@mail", OleDbType.VarChar).Value = txtEmail.Text;
            kayitsayisi = (int)db_komut.ExecuteScalar();
            if (kayitsayisi >= 1)
            {
                this.lbldurum.ForeColor = System.Drawing.Color.Red;
                this.lbldurum.Text = "Mail adresi kullanılıyor...";
                return;
            }

            //*** Yeni Üye Kaydetme ***'
            sorgu = "INSERT INTO bilgiler (uyeadi,sifre,ad,mail,bilgi) VALUES (@uyeadi,@sifre,@ad,@mail,@bilgi)";
            db_komut = new OleDbCommand(sorgu, db_baglanti);
            db_komut.Parameters.Add("@uyeadi", OleDbType.VarChar).Value = txtuyeadi.Text;
            db_komut.Parameters.Add("@sifre", OleDbType.VarChar).Value = txtsifre.Text;
            db_komut.Parameters.Add("@ad", OleDbType.VarChar).Value =txtad.Text;
            db_komut.Parameters.Add("@mail", OleDbType.VarChar).Value = txtEmail.Text;
            db_komut.Parameters.Add("@bilgi", OleDbType.VarChar).Value = txtbilgi.Text;
            db_komut.ExecuteNonQuery();
            db_baglanti.Close();
            db_baglanti=null;

            this.pnlRegister.Visible = false;
            this.pnlFinish.Visible = true;




        }
    }
}
