﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.OleDb;

namespace uyeliksistemi
{
    public partial class uye : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
           
            if (Convert.ToString(Session["uyeadi"]) == "")
            {
                Response.Redirect("uyegiris.aspx");
                Response.End();
            }

          bilgilerigetir();
        }
        protected void bilgilerigetir()
        {
            
            DataTable dt = null;
            DataSet ds = new DataSet();

           
            OleDbConnection db_baglanti;
            OleDbCommand db_komut;
            OleDbDataAdapter db_adapter = null;
            db_baglanti = new OleDbConnection("Provider=Microsoft.ACE.OLEDB.12.0; DATA Source=" + Server.MapPath("App_Data/uye.accdb"));
            db_baglanti.Open();

            string sorgu = "SELECT * FROM bilgiler WHERE uyeadi=@uyeadi";
            db_komut = new OleDbCommand(sorgu, db_baglanti);
            db_komut.Parameters.Add("@uyeadi", OleDbType.VarChar).Value = Session["uyeadi"];

            db_adapter = new OleDbDataAdapter();
            db_adapter.SelectCommand = db_komut;
            db_adapter.Fill(ds);
            dt = ds.Tables[0];
            db_adapter = null;
            db_baglanti.Close();
            db_baglanti = null;
            if (dt.Rows.Count > 0)
            {
                this.lbluyeadi.Text = dt.Rows[0]["uyeadi"].ToString();
                this.lblsifre.Text = dt.Rows[0]["sifre"].ToString();
                this.lblad.Text = dt.Rows[0]["ad"].ToString();
                this.lblEmail.Text = dt.Rows[0]["mail"].ToString();
                this.lblbilgi.Text = dt.Rows[0]["bilgi"].ToString();
            }

        }

        protected void lnkcikis_Click(object sender, EventArgs e)
        {
            Session.Abandon();
            Response.Redirect("uyegiris.aspx");
        }
    }
}